Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.nfunk.jep.function
Class Power

    java.lang.Object
      org.nfunk.jep.function.PostfixMathCommand
          org.nfunk.jep.function.Power

All Implemented Interfaces:
  PostfixMathCommandI

    public class Power

extends PostfixMathCommand

Field Summary

Fields inherited from class org.nfunk.jep.function.PostfixMathCommand
`curNumberOfParameters, numberOfParameters`

Constructor Summary
`Power()`

Method Summary
`java.lang.Object` | `power(Complex c1, Complex c2)`
`java.lang.Object` | `power(Complex c, java.lang.Number d)`
`java.lang.Object` | `power(java.lang.Number d, Complex c)`
`java.lang.Object` | `power(java.lang.Number d1, java.lang.Number d2)`
`java.lang.Object` | `power(java.lang.Object param1, java.lang.Object param2)`
`void` | `run(java.util.Stack inStack)` Throws an exception because this method should never be called under normal circumstances.

Methods inherited from class org.nfunk.jep.function.PostfixMathCommand
`checkNumberOfParameters, checkStack, getNumberOfParameters, setCurNumberOfParameters`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Power

    public Power()

Method Detail

### run

    public void run(java.util.Stack inStack)
             throws ParseException

  Description copied from class: `PostfixMathCommand`
  Throws an exception because this method should never be called under normal circumstances. Each function should use it's own run() method for evaluating the function. This includes popping off the parameters from the stack, and pushing the result back on the stack.

  Specified by:
    `run` in interface `PostfixMathCommandI`
  Overrides:
    `run` in class `PostfixMathCommand`
  Throws:
    `ParseException`

### power

    public java.lang.Object power(java.lang.Object param1,
                                  java.lang.Object param2)
                           throws ParseException

  Throws:
    `ParseException`

### power

    public java.lang.Object power(java.lang.Number d1,
                                  java.lang.Number d2)

### power

    public java.lang.Object power(Complex c1,
                                  Complex c2)

### power

    public java.lang.Object power(Complex c,
                                  java.lang.Number d)

### power

    public java.lang.Object power(java.lang.Number d,
                                  Complex c)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

http://www.singularsys.com/jep Copyright © 2007 Singular Systems